# Returns an AWS S3 pre-signed URL for use in uploading a file from a web application

This method contacts S3 and generates a "presigned URL." This URL can be used to post a file. The return value is the URL to post.

Endpoint: POST /fileUploads/{tenantId}/signedUrlRequest/{service}/{filename}
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed

  - `service` (string, required)
    The service that you are posting on behlaf of

  - `filename` (string, required)
    The name of the file you're attempting to upload

## Query parameters:

  - `contentType` (string)
    The content type of the file being generate

  - `public` (boolean)
    Whether this should be a public file

## Response 200:

  - `200` (unknown)
    The file upload was saved successfully

## Response 200 fields (application/json):

  - `download_url` (string)
    The pre-signed url to use to download the temporary fiel once it has been uploaded

  - `signed_url` (string)
    The pre-signed url to upload the file

  - `url` (string)
    The S3 location of the file

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    You supplied an invalid request

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The resource could not be found

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to add file upload based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

